MYIE2 Online Help
Content
Major Functionalities:
How to use MYIE2's Unique Features to make Web-Browsing Easier.

Setup Center:
How to Customize MYIE2.
(FAQS) Frequently Asked Questions:
When You have a Question, Look Here :-)
Advanced Topics:
About MYIE2 Skin and Plugin Development

Thank you for your support.

If you need more information, please visit our
website: http://www.myie2.com
or
forum: http://myiebbs.yeah.net.
There will always be someone willing to help you.
Report Error © Copyright MYSoft Technology , 2002. All Rights Reserved.


MYIE2 Online Help > Frequently asked questions
FAQ
Content

How can I use middle mouse button to save Web file(.mht) automatically?
How can I use IE's auto proxy scripts file(.pac)?
How can I use MultiProxy with MYIE2?
How can I verify a proxy server?
Can I use multiple proxies at the same time?
How can I use 'Default Search'?
How can I call up MYIE2 from MSN Messager ?
How can I add proxy or AD filters on the web?


MYIE2 Online Help > Using MYIE2
Using MYIE2
Content
Quick key settings
Windows switch
Domain auto completion
Support for download managers
Quick Groups
Full screen mode
Auto hide
Windows management
Most favorite links
Mouse gesture
Super Drag and Drop
Save webpages
Startup mode

Status bar
Auto refresh
Auto scrolling
Auto form filling

Link list of an index webpage
Privacy protection


MYIE2 Online Help > Setup Center
Setup Center
Content
Introduction
URL alias
Quick search
Quick groups
Proxy
Ad filter
External utilities


MYIE2 Online Help > Advanced Topics
Advanced Topics
Content
Enable plugin support
About plugin
How to make plugins
Make MYIE2 Skin


MYIE2 Online Help > Major functionalities >Auto form filling
Auto form filling

Auto form filling feature enable a quick registration of Email accounts, forum accounts or filling-out forms on the web. It eliminates the redundant input process by storing required data such as your name, your age , address , email and so on into relevant fields of the respective registration forms on email or forum accounts. Besides, it can create a general registration form to store these repetitive data for future use.

Quick keys

Alt+1 Collect data from the current form
Alt+2 Store current form data to general registration form for future use
Alt+Q Automatically fill out the current form

Put Yahoo! Email for an example to introduce how auto form filling works

First, inputs correct Yahoo! ID and Password.

Then, use quick key Alt+1 to save the current form data (or alternatively use the menu "Quick > auto form filling > save current form data" ) to the file, FormData.Ini, under the Config directory in which the login webpage URL (Http://mail.Yahoo.Com/?.Intl=us) will be included by a pair of brackets [ ] . Therefore, the following form data is only applicable to the said webpage.

[ http://mail.Yahoo.Com/?.Intl=us ]
Login=FNAADLAFDA
Passwd=FNANCGAJHCFOFKCKADAF

Next time when you log in the Yahoo! Email account, the quick key Alt+Q will call up the stored data and automatically assign them to the corresponding fields in the login dialog box.

When auto forum filling feature is enabled, in case there is not corresponding data in the FormData.Ini, MYIE2 will automatically use the data from the general registration form

Note: It is not suggested to use auto form filling feature to a shared computer for privacy issue.


MYIE2 Online Help >Major functionalities >Auto-hide
Auto-hide

MYIE2 enables auto-hide status of the tool bar in either entire or non-entire screen. You may not only ultilize the maximum browsing space, but also conveniently manipulate the browser at your finger tip.

Press "auto-hide" button on the standard tool bar will trigger the auto-hide feature In this instance, when the mouse moves to the Title bar or to the top in non- entire screen mode, the tool bar will automatically display and you may further operate the browser with the mouse with ease; when the mouse leaves, the tool bar will automatically hide again.

To turn off the "auto-hide" feature, a single click on the "auto-hide" button on the standard tool bar will keep the tool bar visible.


MYIE2 Online Help > Major functionalities >Auto Refresh
Auto Refresh

MYIE2 provides auto refresh feature at a regular frequency on a single page or multiple pages. That means you may do other things while keeping an eye on the up-to-dated contents on the webpages.

Hands-on operation

Right click on the labels. Select "auto refresh pages/ use auto refresh" and set the refresh frequency in the "set auto refresh" dialogue where you are required to fill in the refresh length by numbers.

You may repeat above steps to set more auto refresh pages. Another important point is that auto refresh feature is only applicable to non-active windows instead of active one. To make it work on the active window, you may try to browse other pages or open another new window instead to mask the refreshing window .

You may use this feature to update the contents of the forum you frequently surf.


MYIE2 Online Help > Major functionalities> Auto Scrolling
Auto Scrolling

MYIE2 provides auto scrolling feature, which enables downwards scrolling on a single page or multiple pages at a preset speed.

Auto scrolling in current windows

  • Click on the menu¡°Tool > auto scrolling > current window¡± (If ¡°all windows¡± is choosed, all opening windows will have auto scrolling. The option¡°to finish after downloading¡±is recommended to use together.
  • • You may also use ¡°scrolling button¡±on the tool bar to turn on the auto scrolling feature. Clicking on the right arrow of the button will control the scrolling direction and speed like this:

MYIE2 provides three different control modes

  1. On the menu or the¡°scrolling¡±button, choose ¡°speed control¡±with three alternative options: High speed/ medium speed/ low speed.
  2. Revise the myie.ini document and follow the steps below to define the scrolling speed with hands-on operation : In the MyIE.ini document [settings] Add SpeedSeed = nn where nn was a set of number, the default value is 100, A smaller number means a quicker speed . The recommended value should not be less than 50.
  3. 2. Use the mouse to perform an accurate control of the scrolling speed ( choose the menu ¡° Tool > auto scrolling > mouse control" ). Put the mouse on the right side of the window on the scrolling bar. The position of the mouse defines the scrolling speed. The lower position it is, the quicker scrolling speed it will become. Vice versa, the higher position it is, the slower scrolling speed it will become. The scrolling feature will disable once the mouse leaves the scrolling bar.

That is so easy that you may have a cup of tea while reading articles around the world.:)

Note:auto scrolling feature is not applicable to frame pages.


MYIE2 Online Help > Major functionalities > Clear browsing history
Clear browsing history

Clear browsing history

Clear browsing history

Simply use the menu "Tool > Clear System > Clear history¡± to clear all the unwanted browsing records.

Clear website records

After a certain period of surfing the net, there will be some wrong or unwanted website information. MYIE2 provides a delete function to remove such addresses information. You may also selectively delete the contents in the address bar ("MYIE2 option > other > clear typed URLs").

"Delete all" button and the menu "Tool > clear system > clear the address bar" both perform the same function.


MYIE2 Online Help > Major functionalities > Domain Name Auto-completion
Domain Name Auto-completion

Use Ctrl+Enter, Shift+Enter or Ctrl+Shift+Enter, the combination keys, to help you automatically complete the input of a domain address in the address bar. This feature automates the input process by adding the prefix http://www. and the corresponding suffix like .com.net.com.cn and so on in the address bar.

You may revise them in"the MYIE2 option > other >domain name auto-completion" when necessary.

Put http://www.Myie2.Com for example, whenever you input Myie2 in the address bar and subsquently press down the Ctrl and Enter key simultaneouly, the corresponding prefix http://www.and the suffix .com will automatically add to the address bar.


MYIE2 Online Help > Major functionalities > Download software support
Download software support

MYIE2 support other download managers to work together. Normally, all download managers shall work with MYIE2 with default config. But some of them will not work with MYIE2's content filter enabled. If your download manager does not work with MYIE2, please ask its author to add the support.


MYIE2 Online Help > Major functionalities > Entire screen mode
Entire screen mode

MYIE2 provides the most comprehensive and flexible entire screen environment. With skillful manipulation of the mouse control and the automatic hidden feature, even if under the entire screen mode, you can navigate webpages with ease by either pressing the "entire screen" button on the standard tool bar or the quick key F11 to switch MYIE2 browser to the entire screen mode.

Entire screen mode
Tab bar | Completely visible status | Continuously visible , unable to hide
Title bar | Completely hidden status | Continuously hidden until withdrawing from the entire screen
Status bar | Default hidden status | Use the menu "View > status bar" to show the status bar.
Tool bar | Auto-hide status | Entering the entire screen mode, MYIE2 will trigger the "auto-hide" feature: when the mouse moves to the top of the menu, the tool bar will redisplay; when it leaves, the tool bar will automatically disappear. Double clicking again on the "auto-hide" button on the standard tool bar will restore the label bar. Also, you can use menu "lookup/tool bar" to define which items to be displayed on the tool bar.


MYIE2 Online Help > Major functionalities > Quick keys
Quick keys

For the utmost convenience of using quick keys, MYIE2 has arranged a simple classification and reorganization to make the quick key settings more user-friendly. Your suggestions for its improvement is much appreciated.

General
ESC | Stop
Ctrl+A | All selection
Ctrl+F | Current webpage search
Ctrl+P | Printing
Save
Ctrl+S | Save the current page as ...
Alt+S | Save as HTML
Ctrl+Alt+S | Auto save
Ctrl+E | Fast save
Open
Ctrl+L | Open a website
Ctrl+O | Open a website
F1 | Open a new window
Ctrl+N | Open a new window
Ctrl+Shift+H | Open a main page
Ctrl+Shift+N | Open a window from the clipboard
Close
Ctrl+W | Close the current window
Ctrl+K | Close all windows except current
Ctrl+Shift+W | Close all windows except the current and the locked ones
Refresh
Ctrl+F5 | Refresh the current page
Ctrl+R | Refresh the current page
Switch labels
F2 | Switch to the previous window
F3 | Switch to the next window
Ctrl+Left | Switch to the previous window
Ctrl+Right | Switch to the next window
Ctrl+Tab | Switch windows in a reverse order of last sequence
Ctrl+0..9 | Directly switch to 0-9 window
Switch pages
Alt+Home | Switch to the main page
Alt+Left | Backlash
Alt+Right | Advance
Automatically fill out a form
Alt+1 | Save the current form data
Alt+2 | Save the current form data into general form list
Alt+Q | Fill in the current form list
The advertisement filters
Ctrl+Q | Include the current webpage to the popup banned filter
Alt+P | Use auto filtration in the current window
Other special features
Ctrl+G | Simple text collection panel
Ctrl+D | Add a bookmark
Ctrl+T | Tilt vertically
Ctrl+F11 | Hide/unhide the main menu
Alt+D | Move the cursor to the address bar and hightlight current URL
Alt+~ | Hide/unhide MYIE2
Alt+L | Look up the link list of the index page
Alt+X | Lock the current webpage
Alt+Z | Undo the last action of closing windows
F1-F12 | Website quick keys


MYIE2 Online Help > Major functionalities > Windows Management
Windows Management

Close windows

MYIE2 provides many ways of closing windows:

Mode | Description | Menu | Button | Quick key
Close | Current window will be closed regardless of its status being locked or not. | The document > close |  | CTRL+W
Close all | Close all windows except the locked ones . | The document > close all |  | CTRL+SHIFT+W
Close others | Close all windows except the current and the locked ones | The document > close other |  |

In case you would like to retain some interesting webpages, you may use the windows locking feature to lock them and then use "The document >Close all" to close other unlocked pages.

Lock windows

Right click on the label and select "lock this label" or quick key Alt+X to lock a window. A locked window will not be closed by " Close all" or "Close others" but instead a window will popup by clicking on a hyperlink within the locked window together with a lock icon to be displayed like this:

Undo closing windows

Sometimes you have carelessly closed certain important webpages and have forgotten their website addresses. It is really a headache problem.

Fortunately MYIE2 automatically records all website addresses it has ever visited so you can restore them immediately. On the menu ¡°Edit > Undo closing windows¡±, MYIE2 will list all windows just closed. In addition, MYIE2 can also list all available windows during last opening of MYIE2, which really helps you track important webpages you have ever visited.

"Undo recently closed window" (Quick key Alt+Z) was equivalent to choose the first window in the undo list. You may alternatively do this by clicking on the "undo closing window" button on the tool bar.

Windows Protection

If you do not want to let certain webpages to be glanced over by other people, you may use this windows protection feature to lock the webpages. Simply right click on the window label, select the item "protection window" and then input the window protection password. Choosing "remember this password" may further facilitate you to apply the same password to protect other windows. The relevant icon will illustrate as the following:

You must input the same password whenever you visit the same protected window as long as you have enabled its protection status. If you forget the password, just right click on the window label and select "close" by which the protected window will be closed and no longer put on the undo list.


MYIE2 Online Help > Major functionalities > Your favorite link
Your favorite link

MYIE2 marks your most favorite links and folders red for a quick access on each bookmark folder. You may also open up all your favorite links for each bookmark folder at one go by selecting "open all favorite links in this folder"

Setting

Click on the "bookmark" button on the tool bar to open the bookmark window on the left of MYIE2. Then right click on the "bookmark folder" or "bookmark link" icon and select "Add to your favorite" to mark your favorite folder or link red. And vice versa, you may right click on the "undo your favorite" to undo what links your have put into your favorite folders.

Note:
1. Menu "Quick > open your favorite links" opens up all your favorite links in your bookmark folders.
2. There is a¡®My favorite¡¯icon on the top right corner of the bookmark window on the left of MYIE2. It only displays all your favorite links in the bookmark window.


MYIE2 Online Help > Major functionalities > Drag and open
Super Drag Drop

Drag text and search

To search keywords on the web, you may directly select and drag the keywords to current webpage or the address bar. MYIE2 will automatically trigger the default search function to search the keywords on the web. You may also simultaneously hold down the Ctrl key to save it in a text file.

Drag URL text

When you find an interesting but rather long and non-clickable URL on a certain webpage, you may simply select the URL and drag it to any place on current webpage or to the address bar, MYIE2 will automatically link to the URL in a popup window.

Drag a hyperlink

Drag a hyperlink to any place on the current webpage or to the address bar. MYIE2 will open the link in a popup window.

Drag a graphic

Drag a graphic to any webpages to open it in a popup window. You may also save it in a graphic file by holding down the Ctrl key simultaneously.


MYIE2 Online Help > Major functionalities > Mouse gesture
Mouse gesture
The mouse gesture control is a major feature of MYIE2. What is a mouse gesture control? In short, keep holding on the right click of the mouse and move around on the web pages. In this way, the mouse manipulates MYIE2 with ease to forward, backward, switch windows, close windows , refresh windows , etc.

MYIE2 has supported for the following mouse gestures:

Movement Directions | Function
Left | Backward
Right | Forward
Up + Down | Refresh
Up + Right | Switch to the next window
Up + Left | Switch to the previous window
Right + Left + Right / Down + Right | Close a window
Down + Left | Close all windows except current
Down | Open a new window

The recommended length of the movement path is around 1-3 centimeters. Please refer to the picture below.

Hint: If you have made wrong mouse gesture control in the course, you had better keep holding the mouse without releasing it and make another random movement instead to let MYIE2 stop tracking its command.


MYIE2 Online Help > Major functionalities > save webpages
Save webpages
At File menu , there are several save options.

Save webpages

MYIE2 keeps all contents of a saved webpage or save it ( alternatively use Alt+S) with the original filename and HTML code for a compact preservation.

Quick save

Quick save the current webpage including the graphics.

Auto-save

Similar to the save function, the current webpage will be automatically saved to the default directory without addressing to any dialogue boxes.

Auo-save has four options : webpage to be saved as html, as mht, HTML only and quick save.

You may choose MYIE2's default option to save a webpage to an appropriate catalogue with its initial site name as its subdirectory name. You may also alter the saved directory in MYIE2 Options > Save


MYIE2 Online Help > Major functionalities > Startup mode
Startup mode

MYIE2 has provided 6 startup modes ("MYIE2 option.. > General > When Starting " ) for you choose a startup page.

Open home page

In the "Tool > Internet option... > General ", set the full url as the home page, otherwise it will popup a blank page with the same effect of the startup mode "open blank page".

Open last visited webpage

Resume the last visited webpage when you closed MYIE2.

Open a startup favorites

You need to establish startup favorites in advance in the favorite side bar

Then right click on any one subfolder icon of the bookmark folder and select "Set as Startup Favorites" before the subfolder is highlighted with bold typeface .

Open most favorites in startup favorite folder

If you want to open your most favorite links in the startup favorites during startup, just right click on the links in the startup subfolder and select ¡°Your favorite link¡±where a special icon for your favorite webpage will be displayed as [image].

Open startup group

Setup Startup group in Setup Center > Group (Please see the picture below and tick the box next to the quick group to set it as a startup quick group.

Note: The startup quick group is unique and so you can only setup one startup quick group


MYIE2 Online Help > Major functionalities > Status Bar
Status Bar

MYIE2¡¯s status bar displays some useful information..

Item | Description
Display Local Machine IP Address | Select "Options > Status Bar > Show local machine IP address", current IP address will be displayed on the status bar.
Prohibit a scrolling text on the status bar | Select " Options > Status Bar > Disable scrolling text " to remove the disturbing scrolling text.
Display system resources | Display current system resources on windows 98
Display network speed | Display current network speed.
Display the idle memory | Display available memory under WinNT and Win2000

There are five quick buttons on the status bar:

Offline browsing
Use "File > offline working" to browse historical webpages in offline mode.
Use auto filtration in the current window

Use auto filtration in the current window to prohibit popup advertisements without having to add extra URL to the URL filters ( though sometimes it may not be the case.)

Auto filtration on popup windows can be set in each window independently.
Activate new window

When you select ¡®Activate new window¡¯, whenever you create a new window, it will automatically become your active window. Otherwise, it will not switch to a new window.

When you are browsing news-based website, you may cancel the feature of¡®popup a window¡¯to open up all relevant windows orderly without interrupting your work on the current one.

Whenever MYIE2 is in news mode ("options > browsing mode > news"), the relevant quick button will be automatically disabled to avoid auto-switching pages.
Open a link in a new window

Choose whether to input a new URL address , to click on a bookmark folder, history, local document or a page link to open a new window.

Whenever MYIE2 is in standard mode("options > browsing mode > standard"), the relevant quick button on the status bar will be disabled.

Simple text collection panel

It is used to store text information and graphics. You may drag the text or the graphics to the status bar or the simple text collection panel to save them altogether.

The graphics will be stored to the default directory for a good management.


MYIE2 Online Help > Major functionalities >Windows switch
Windows switch

MYIE2 is a web browser. It provides many efficient ways to switch windows. Here are the optional methods:

  • Uses the mouse to click on the label
  • Use quick key F2/F3 to switch back and fro between windows
  • Use quick key Ctrl+Tab/Ctrl+Shift+Tab to switch back and fro between windows
  • Use quick key Ctrl+ left / right direction key to switch back and fro between windows. Note: You could disable this key in MYIE2 options.
  • Use quick key Ctrl+1...Ctrl+9, Ctrl+10 to switch window 1...9,10
  • Click the arrow buttons on the top left corner to switch pages

(If F2/F3 is set as a website quick key, the second method will become invalid)


MYIE2 Online Help > Major functionalities> Link list of a webpage
Link list of a webpage

Use "View > page link..." to list all available links on the current webpage. You may use the filter feature to list your preferred link list .(Quick key Alt+L)

There are four options to display the webpage links:

Text > HTML: | Binaries: | Protocols: | Pictures:

Provided that looking up all links to .exe files on the webpage(http://www.4dev.com/ns/download.htm), MYIE2 will get the following result:

A single click on any one link of the list will copy the relevant link to the clipboard together with a message ¡®copied¡¯on the right. It shows that the link has been copied to the clipboard accordingly.

You may use [image] to refresh the webpage link .


MYIE2 Online Help > Frequently asked questions (faq) > How can I use 'default search'?
How can I use 'default search'?

MYIE2 allows you to input keywords in the address bar to perform a search . If the default search engine is Google, MYIE2 's address bar will be equivalent to the search box of the GoogleBar in its use.

To make a quick search, you may add or modify the existing one as another 'default search'. Here are the steps to follow:

  • First, rename the old 'default search' so the *will no longer exist.
  • Then, define the new one as the 'default search' with a *

You may also use "default" button to add another default search engine though Google is supposed to be the 'default search' engine.

'Default search' is unique.Quick search only allows one searh engine name (Name) beginning with '*'. However, to avoid the conflict with other website abbreviation, MYIE2 allows a quick search item consistent with the one existing in the 'default search' list.

Default search and quick search

  • The input format of the quick search in the address bar is: Search engine name keywords
  • The input format of the default search in the address bar is: keywords

Note: Any combination of characters are allowed to be keywords in the search engine During a quick search, duplicate search items is not allowed.

Default search and URL alias

If you have initiated the URL alias, there will be a priority problem between the keywrods search and the website abbreviation.

When the search keyword remains the same in the search and the website abbreviation, MYIE2 will take priority on the URL alias. In other words, keywords are suggested to avoid the names already used in theURL alias. But you need not pay too much attention on this issue as URL alias is after all a limited subset, which will not meddles with normal searches.


MYIE2 Online Help > Frequently asked questions (faq) > How can I add proxy or AD filters on the web?
How can I add proxy or AD filters from web page?

In order to facilitate users to exchange filters devices , MYIE2 supports the DHTML extension commands. It directly allows to filter setting online

Here is the support javascript code:

  • External.AddFilter("*/ad/*"); // Add to the popup window filters
  • External.AddFilter("*/ad/*",0); // Add to the content filters

Here is a simple example

Here is a set of commonly used filters settings, but it cannot filter all advertisements windows. Most filter setting must be added according to users' individual needs. You may manually add these filter setting in the filter or use DHTML extension commands to perform auto addition. . A successful filter setting does not affect users' smooth web browsing. Otherwise, you should delete it at once.

You may choose the filter setting you need from the list below: simply click "+" button, MYIE2 will automatically put the selected filter setting to MYIE2 active filter.

Popup window filter example | Webpage content filter example
Click here to add *ad?. to your popup filter list | Click here to add *ad?. to your content filter list


MYIE2 Online Help > Frequently asked questions (faq) > How can make MSN Messager call MYIE2?
How can I make MSN Messager call MYIE2?

In ordinary circumstances, whether Internet Explorer is used as the default browser , clicking on the link in MSN Messager will activate Internet Explorer. How can we initiate MYIE2 within MSN Messager ? In short, you may implement it by altering the registry:

  • First, search the following item in the registry:
    HKEY_CLASSES_ROOT\CLSID\ {0002DF01-0000-0000-C000-000000000046} \LocalServer32
  • Then, set the content of (default) characters string key value to be 'null' .

But it should bring to your attention that such operation can have a side effect, which will make the Windows Update from start menu fail.

Certainly, you may alternatively visit www.windowsupdate.com to perform a system upgrade. It may also arise other Microsoft procedure problems. Therefore , it is not recommended to PC end-users.

Before the operation, you had better backup this key . After that, you can make a double-click to switch between the applications.


MYIE2 Online Help > Frequently asked questions (faq) > How can I use IE's auto proxy scripts file(.pac)?
How can I use IE's auto proxy scripts file(.pac)?

MYIE2 works perfectly well with IE to use its auto proxy scripts file(.pac). MYIE2 automatically uses IE's proxy setting when it's set to use IE Proxy. Here is the criterion how to set proxy scripts file :

1. MYIE2 proxy servers setting must be use IE Proxy.

2. Auto proxy script file must be valid and works with IE.

3. Restart MYIE2 to make it take into effect.

You may use auto proxy script file in this way. It allows auto proxy script file to check whether the visited website needs a proxy or not .


MYIE2 Online Help > Frequently asked questions faq > How can I use multiple proxy simultaneously?
How can I use multiple proxy simultaneously?

You may run multiple MYIE2 instance to use multiple proxy settings. A better way is to use a Auto Proxy Configration File ( *.pac )

Note: Do not enable "only run single MYIE2 example" option when you want to run multiple instance.


MYIE2 Online Help > Frequently asked questions (faq) > How can I use MultiProxy under MYIE2?
How can I use MultiProxy under MYIE2?

MultiProxy , as a proxy software, is easy to use. It realizes the proxy verification and the agent auto distribution. You have to set an available proxy under MultiProxy and then to have other proxy-based software to point to MultiProxy. Here are the steps how to have MYIE2 worked with MultiProxy:

1. First, add proxy servers 127.0.0.1:8088 under "set up proxy servers"

2. Start MultiProxy

After the installation of MultiProxy, you may set it as a startup file or go to the MYIE2's external utilities to set it to work together with MYIE2. In this way, they both start or shut simultaneously.

3. The proxy server address with quicker speed will be guided to the MultiProxy.

Whenever MultiProxy starts, it will verify the validity of the proxies and sort them according to their transmission speed.

4. Activate 127.0.0.1:8,088 proxy servers under MYIE2

On the menu item "Options > Proxy ", select 127.0.0.1:8088 Proxy servers, or press "proxy servers" button on the tool bar and then select 127.0.0.1:8088 Proxy servers. Thus, Multiproxy will help you automatically distribute proxies under MYIE2.


MYIE2 Online Help > Frequently asked questions (faq) > How can I verify a proxy server?
How can I verify a proxy server?

You could export MYIE2 proxy list to other software to verify those proxies.


MYIE2 Online Help > Frequently asked questions (faq) > How can I save a web file (.Mht) automatically?
How can I save a Web file (.Mht) automatically?

Web page (.Mht) is the sole document Web file to store webpage content conveniently . The middle mouse button is able to make a quick save of a webpage (.Mht) in MYIE2 .

Operation steps

  • " MYIE2 options.. > Tab> Tab action" In the "(middle button) single-click on the label" select "auto save"
  • In " MYIE2 option > save > auto-save" Alter it to "save the web page (.Mht)"
  • After the proper setting, to save a webpage as web page (.mht) , you have to single-click the middle button on the label bar, MYIE2 will save the webpage to the specified folder in the "MYIE2 option.. > save > save path " .
  • The entire download process is extremely fast. Once the downward arrow icon [image] appears on the left of the label bar, it means the download job has finished


MYIE2 Online Help > Setup center > Introduction
Introduction
MYIE2 setup center integrates with several major features of MYIE2 for a smooth setup management. These features include:
  • URL alias
  • Quick search
  • URL key
  • Quick groups
  • Proxy service
  • Popup windows filters
  • Webpage content filters
  • External utilities

The interface of the setup center is featured with a function list on the left and its corresponding setting on the right as below:

The "confirm" button in the dialog box determines all setup changes. These include items addition, deletion¡¢modification and reorganization.

Each setup item provides a set of buttons with the following illustration:

If you have no ideas of the functions of the buttons, you will simply hover the mouse over any one of the buttons to get corresponding hints:

These buttons are simple to use and here are the instructions about how to use the "modify" button:

1. Press down "modify" button in the absence of a dialog box to popup a dialog box or highligt the selection for further modification.


MYIE2 Online Help > Setup Center> URL alias
URL alias

Some hot websites URL are difficult to remember. How can we make a quick access to these hot websites without having to input rather complicated URL? To solve the problem, you may add it to your bookmark folder. Another alternative is to use URL alias.

The name says it all.
MYIE2's URL Alias feature is used to set an "alias" for a certain website. When you type the URL's alias in the address bar, MYIE2 will navigate to the real but rather complicated URL.

Set up a URL Alias

Please set up a URL Alias within the Setup Center. Following the picture below, you will set up a URL's alias by entering any visible combination of characters except ':' or '.' . For example, you could assign http://www.microsoft.com to the URL Alias m. Then when you type 'm' in the address bar, MYIE2 will take you to http://www.microsoft.com.

Note: When both the 'URL Alias' & 'Quick Search' features are enabled , the 'URL Alias' feature will take priority. This means, if you have the same name for a 'URL Alias' and 'Quick search' entry, MYIE2 will regard it as an alias name instead of a keyword to be searched. If you prefer a quick search, it is advisable not to use the same name.


MYIE2 Online Help > Setup Center> External Utilities
External Utilities

Would it be convenient to have your favorite applications at hand whenever you are browsing the web? Would it be even more convenient to be able to start and shut them automatically with MYIE2? YES! Bingo. Well, by enabling its "External Utilities" feature, MYIE2 can give you the utmost convenience you have ever desired!

How to setup External Utilities:

1. Select the menu button "Tools", then select "External Utilities" -> "Utilities Manager"

2. In the Utilities Setup dialog, use '+', '-',... buttons to add, remove, modify or sort the External Tools.

Note: MYIE2 allows you to add startup parameters for the applications you added.

If you would like an application to work together with MYIE2, select the application and then check the box that reads "Start with MYIE2" or "Close with MYIE2" (you can select both if you wish). The tooltip of the application that will start with MYIE2 will begin with a "*". This indicates that it will start with MYIE2.


MYIE2 Online Help > Setup Center > Popup and content filter
Popup and content filter

MYIE2 has two settings for popup windows filters and content filters respectively.

  • The popup filter is used to block advertisments webpages . By adding the URL of those webpages to the popup filter, MYIE2 will block them from poping up.
    For example: http://www.poq.com/popup/*.htm will block all .htm pages under http://www.poq.com/popup/
  • The content filter is used to block web contents that the user does not want to see, such as a gif advertisment on the webpage or an annoy flash movie. By adding the URL of the gif/flash into the content filter, MYIE2 will block it from showing on webpages.
    For example: http://www.poq.com/products/ad*.swf will block all flash files whose name starts as 'ad' and whose URL is under http://www.poq.com/products/ .

    Tips: * can be used in the filter string to match any number of character while ? can be used to match any single character.

Set up filters

The simple way to add or organize filters is to go to 'Setup Center' from the menu 'Options-->Setup Center...'. You may add, remove or modify filters there.

Another way to add a URL to popup filters is to right click on webpage labels and select 'Send to->Filters..'. or use 'Ctrl+Q' shortcut key.
MYIE2 will then popup a dialog box for you to set up filters. You may alternatively select the item "content filter" from the pulldown menu. You may also edit URL or use '*' in the filter string to match any number of charaters to stand for a list of similar URL.

Sometimes you may find it too difficult to find the URL of the annoying picture/flash to add them into the content filter. There is an option to make it easy, which is under 'MYIE2 options->AD Hunter'. Check the box next to the item "Add AD Hunter to Browser Right Click Menu'. Enabling this option, you will be able to right click on the picture of the webpage and select 'Add to AD Hunter' from the popup menu.

If you do not want a site to be filtered, you could add it to exceptional list.

Auto popup filter

MYIE2 has two types of auto popup filters:

  • Based on a criterion of the speed and sequence of its opening and to check whether it is a popup window or not to make it work.
  • Based on a self-defined popup window, it provides a destination pop up window filter subject to a popup window list.


MYIE2 Online Help > Setup Center >Quick groups
Quick groups

A quick group is a collection of URLs in which MYIE2 users are able to open certain webpages at one go. The format of MYIE2 quick groups is compatible with Netcaptor. You may simply copy Netcaptor's group file (.cpg) to MYIE2 quick groups directory to make it work.

How to setup quick groups

The common way to set up quick groups is to go to Setup Center. The groups could be added, removed or modified there. There are two issues that should be considered.

1. You could set up a 'Start up group' by tick the check box before the quick group name. After you have set up a 'Start up group', you could set MYIE2 start up mode, in'MYIE2 Options->When Starting', to open 'Start up group'. After that, once MYIE2 starts, it will automaticially open all the URLs in that group.

2. You could make the website in a group have a sticky tab name by ticking the check box before the website name.

Add all current pages to a group.

This is a easy way to make a quick group. By selecting menu 'Groups-->Save Windows As Group', all current opened web pages will be added to one quick group. Then you will be prompted to give a name of the group.

Add a single page to an existing quick group

Right click on the label and select 'Send to -->Group' to add that webpage to an existing quick group.


MYIE2 Online Help > Setup center > Proxy services
Proxy services

Appropriately using proxy server may speed up the network browsing speed. When DNS has a problem, proxy servers indirectly act as the DNS server and overcome many networks limits through the proxy services.

But using proxy servers on IE is not convenient enough. IE can only set up a proxy server, which will take effect to all existing webpages . MYIE2 enhances the proxy servers' functions for greater convenience either in its use and setting.

Set up proxy services

Set up proxy services

Goto menu "Options > SetupCenter> Proxy " to add, modify and delete proxy servers

Add proxy servers to the list under the proxy directory The proxy server syntax is:

  • Address : Port Like 218.30.16.115:80 ( This format will set all protocols use the same proxy server )
  • Protocol = address:Port Like Socks = 202.124.41.2:1080 ( This format could setup individual protocol to use different proxy server. )

You may name a proxy server and use a speed label to differentiate the proxy speed.

Edit the Bypass website

You may set up a Bypass website in the "set up proxy server" dialog box. It is used for for those visited websites without having to pass through proxy servers. You may use a magic asterisk '*' to match the domain name , the main machine name or the address. The Bypass website must use blank space to separate different items. Usually, the first item represents a local machine IP address: 127.0.0.1
For example: www. *.cn 123.*.201.* *.Mygroup.*

Use proxy servers

Use proxy servers

If you have already installed proxy servers, you may use the following two ways to activate or shut the proxy servers:

1. Use the menu item "Options > Proxy " to activate or shut the proxy servers.

2. Use tool bar "proxy server" button to promptly switch between "the proxy servers" . This is the best alternative for you to use proxy server.

Note:Proxy servers may active in all current windows in MYIE2


MYIE2 Online Help > Setup center > Quick search
Quick search

Quick search allows you to directly use the keywords to perform a quick search in the address bar without having to access the search engine webpage.

Setup quick search

Goto menu "Option> SetupCenter" to open "quick search" dialog box where you may easily increase, modify or delete the setting.

The name abbreviation refers to individual search engine. It is noted that in order to mutually distinguish all these search engines, the same names of the abbreviations must be avoided. An abbreviation of a search engine represented with a * means it is a default search engine.

The search engine syntax is URL + %s where %s refers to replaceable characters.
For example: http://www.Google.Com/search?Q=%s

Press "default"button to alter or confirm the default search engine. For example, Google marked with '*' is set as the default search engine here.

Quick search

1. The syntax of quick search in the address bar is: Search engine name keywords

(Use Baidu search engine here: Baidu | Http://www1.Baidu.Com/baidu?Word=%s)

2. The syntax of the default quick search in the address bar is: keywords

(The default quick search engine here is: * | Http://www.Google.Com/search?Q=%s)

The keywords are any combinations of characters allowed by search engines


MYIE2 Online Help > Advanced Topics > Plugin extension
Plugin extension

What is the plugin work mode?

At present there are many IE-designed plugins to call up procedures as if running IE. To support these plugins, MYIE2 must act as if IE, which is called 'an IE compatibility mode'.

In the mean time, there are some good designed plugins. They can not only support IE procedures, but also enhance its operational efficiency. MYIE2 takes an optimal approach to call them up, which is called MYIE2 work mode.

The distinction between IE compatibility mode and MYIE2 work mode

  • All plugins under IE compatibility mode are assigned to "plugins" on the tool bar while those under MYIE2 work mode have independent tool bars. You may switch MYIE2 between the plugins through the menu. Plugins running under MYIE2 work mode possess their own tool bars. You may use the "look up -> tool bar" to decide whether it displays or not.
  • The plugins running under IE compatibility mode occupy more RAM while there is a relatively steady occupation of system resouces for plugins running under MYIE2 work mode.

    • Why didn't I find my favorite plugins? How should I let MYIE2 support it?

    Every day there are a huge quantity of IE plugins in the market, but we do not have the time to make a sound test to all of them. Simultaneously we also notice that many of them are not compatible with MYIE2. Therefore we decided only support tested plugins. If you would like to have some plugins to be supported, please send a mail to the authors of the plugins so they can make a direct contact with us.

    Why do I have to use MYIE2 plugin?

    There are many advantages to use MYIE2 plugins:

    • The MYIE2 plugins are "green" plugins. They can be used on spot without a prior installation. while you only need to delete relevant document to unload it. It demands a specific system environment. In other words, you need not reinstall plugins even after a sytem reinstallation.
    • MYIE2 plugins are designed to occupy less system resources and so do MyIE's connection ports when compared with those running under IE compatibility mode.
    • MYIE2 plugins have widespread functions in its application. They can not only extend MYIE2 features, but also fully utilize MYIE2 existing features.

    Why do we have to develop MYIE2 plugins instead of IE plugins?

    Here are some advantages of our development on our MYIE2 plugins:

    1. MYIE2 plugins apply to different programming language compilation, and even javascript together with a varieties of options to call them up simultaneously.
    2. MYIE2 plugins fully use MYIE2 existing features with a rich connection of ports to connect plugins.
    3. MYIE2 plugins occupy less system resources.


MYIE2 Online Help > Advanced Topics > Enable plugin support
Enable plugin support

Starting from version 5.0, Internet Explorer has been supporting extension features procedure provided by third party software vendors, which is called "IE Extension". It makes a quicker and more convenient web browsing in the form of a tool bar or a tool button.

MYIE2 is the first multi-page browser to support IE extension procedure ( IE plugin). Currently MYIE2 supports many kinds of IE plugins in the form of a tool bar. Here are the typical examples:

  • Google extensive tool bar (Http://toolbar.Google.Com/)
  • FlashGet extensive tool bar (Http://www.Flashget.Com/)

In addition, MYIE2 supports IE plugins in the form of buttons. For example: MSN extension button, FlashGet extension button and Kingsoft Ciba extension button (Note:Under Kingsoft Ciba, you can fetch English words meanings in Chinese translation or vice versa without having to open its interafce) and so on.

They also includes MYIE2 fully compatible plugins. Further information, please refer to [plugins documentation].

Operation steps

1. First, In the "MYIE2 options.. > advance > options " . Select " IE extensions support". Then restart MYIE2.

2. After that, you may select "MYIE2 options... > Advance > IE plugin " and "MYIE2 options... > advance > MYIE2 plugin" to initiate workable plugins.

3. You may need to enable plguins bar to make some plguins show up.

Note: Use IE extension with MYIE2 under Window 9x may bring more problems, because IE plugin is not design for MYIE2. If you encounter some problem with IE externsion enabled, please try to disable it and try again. If you want some IE plugin works with MYIE2, we suggest you ask the author to add support for MYIE2.


MYIE2 Online Help > Advance topics > Make MYIE2 Skin
Make MYIE2 Skin

MYIE2 at present supports limited skins with custom-made function. You may do it at your own discretion. Besides, we will regularly announce some outstanding skins made by web users. Everybody positive discussion and sharing skin design experience is much appreciated.

During your submission of MYIE2 Skins, please attach a briefing description and a tuncated picture of 800x600 pixal

A better place to know more about MYIE2 Skins is picto's great ' MYIE2 Skin Site ' .

MYIE2 Skin production fundamental rules and guidelines

  • The Skins document is stored in the skin directory under the installation directory of MYIE2 where you can make your own directory at any names you like. Here is an example in which I make a test directory under the skin directory to store copied graphic files.
  • Then create skin.ini document in the test directory with appropriate parameters. Here is an example to illustrate how MYIE2 uses FlatXP as its skin along with the demonstration of the skin.ini document.

---------------------------------------------------------------------------------------
;Note:
;
; Some items will be able to use the software interior default value. So it is not necessary to set all items .
; All colors value may adopt three types of format
; 1.Decimal base: the simple color value decimal-based expression. For instance, Selected_TAB_BK_COLOR=1234567
; 2.Hexadecimal system: the color value in hexadecimal-based expression. To begin with '#'. For instance, Selected_TAB_BK_COLOR=#FFFFFF
; 3.RGB code: the decimal-based expression in RGB form. Use ',' as the delimiter. For instance, Selected_TAB_BK_COLOR=255,0,255

[ General ]
; The Skin name, it is displayed on the MYIE2 menu
Name=Flat XP [ SiC ]

[ TOOLBAR ]
; Tool bar big icons size and the filename of the position graphic document which
must be stay with Skin.Ini under the same directory.
MAIN_BIG_SIZE=24
MAIN_DISABLE_BIG_PATH=coldtool.Bmp
MAIN_HOT_BIG_PATH=hottool.Bmp

; Tool bar small icons size  and the filename of the position graphic document which
must be stay with Skin.Ini under the same directory.
MAIN_SMALL_SIZE=16
MAIN_HOT_SMALL_PATH=hottool_s.Bmp
MAIN_DISABLE_SMALL_PATH=coldtool_s.Bmp

; Tabs indicates the progress and individual status(e.g. locked status) of the position graphics filenames , it must be of 16*16 size, altogether 8 items.
TAB_IMAGE_PATH=tab.Bmp

; The address bar position graphic filename , it must be of 16*16 size
ADDRESSBAR_IMAGE_PATH=address.Bmp
FAV_IMAGE_PATH=link.Bmp

; The position graphic filename with the buttons to indicate maximum and minimize , it must be of 16*16 size, altogether 6 items
SYSTEMBAR_IMAGE_PATH=sysmenu.Bmp

; The position graphic filename of animation icons when downloading webpages , the first one to be a static icon of 16*16 size, altogether 8 items.
ANIMATE_ICON_PATH=

; The position graphic filename of quick buttons on the status bar with unlimited file size, with a default size of 12*12, altogether 5 items.
STATUS_BAR_IMAGE_SIZE=12
STATUS_BAR_IMAGE_PATH=
; The height of the status bar, it needs to coordinate with the tool icons on the status bar.
STATUS_BAR_HEIGHT=20

[ TOPBAR ]
; All tool bar background.BK_IMAGE refers to the background graphic, BK_COLOR refers to background color, both cannot coexist.
; BK_IMAGE_STRETCH refers to the type of indicating position graphics whether to use a pull-and-stretch style,1 expresses 'yes',0 expresses 'no'.
; BK_IMAGE=bg.Bmp
BK_COLOR=#C8D0D8
BK_IMAGE_STRETCH=1

[ TAB ]
; Tab adopts a self-draw approach, it may be ALL, TAB or NONE
DRAW_TYPE=ALL

; Below is the setting of active tab
; Background color
Selected_TAB_BK_COLOR=#FFFFFF
; text color
Selected_TAB_Text_COLOR=#000000
; Left side frame color
Selected_TAB_BORDER_LEFT_COLOR=#B0B0B0
; Top side frame color
Selected_TAB_BORDER_TOP_COLOR=#B0B0B0
; Right side frame color
Selected_TAB_BORDER_RIGHT_COLOR=#B0B0B0
; Bottom side frame color
Selected_TAB_BORDER_BOTTOM_COLOR=#B0B0B0
; Frame width
Selected_TAB_BORDER_WIDTH=1

; Below the right and wrong activates tab the hypothesis
; Background color
UnSelected_TAB_BK_COLOR=#C8D0D8
; text color
UnSelected_Text_BK_COLOR=#6666666
; Left side frame color
UnSelected_TAB_BORDER_LEFT_COLOR=#C8D0D8
; top side frame color
UnSelected_TAB_BORDER_TOP_COLOR=#C8D0D8
; Right side frame color
UnSelected_TAB_BORDER_RIGHT_COLOR=#B0B0B0
; Bottom side frame color
UnSelected_TAB_BORDER_BOTTOM_COLOR=#C8D0D8
; Frame width
UnSelected_TAB_BORDER_WIDTH=1

; Entire tab bar background color, including non-tab region
TAB_MAINBK_COLOR=#C8D0D8

---------------------------------------------------------------------------------------


MYIE2 Online Help > Advanced topics >How to make plugins
How to make plugins

General questions about Plugins
How to implement "Config" function of a Plugin
How to add new or override existing protocols
How to make a "Button" type plugin
Extended DHTML support

General questions about Plugins:

1. COM Object

COM object must implement IMyIEClient interface. Please refer to IMyIE.h

2. Exe File:

Any win32 exe file could be used as plugin. MyIE2 will send different parameters under different circumstance.
General parameter:
a. "-h=handle" : handle is the Wnd handle of the MyIE2 main window, decimalist.

3. Script File:

Script File must be written in the following format:

Example:
<script language="Javascript">
alert(document.lastModified);
</script>

The 'language' could be any valid language that IE supports.

How to implement 'Config' function of a Plugin?

There is a 'Config' button in the 'MyIE2 Plugin' option page. MyIE2 will call the corresponding 'Config' function of a plugin, when user clicks the 'Config' button.

1. COM Object:

The COM's IMyIEClient::Config will be call with the parameter of the config dialog's hWnd handle.

2. Exe File:

The file will be called with a parameter of "-setup". For example, if the filename is "abc.exe", then MyIE2 will call "abc.exe -setup ..." .

3. Script File:

Not support currently...

How to add new or override existing protocols?

With MyIE2, the plugin could estanblish a new protocol, such as book://, or override an existing protocol, such as ftp:// .When the user inputs the protocol in the address bar or clicks the protocol on webpage, MyIE2 will call the plugin.

1. COM Object:

Not support currently...

2. Exe File:

The file will be called with the parameter "-u=url", in which the url is the address that the user wants to visit, such as book://www.mysite.com/abc.pdf, or ftp://www.google.com .

3. Srcipt File:

Not support currently...

How to make a "Button" type plugin?

MyIE2 supports "Button" type plugins, which will be placed on "Ext Button" toolbar. The plugin is called when user clicks on the corresponding button. The 'Button' plugin could be implemented using the following methods.

1.COM Object:

When user clicks on the button, MyIE2 will query the Com's IOleCommandTarget interface and 和IObjectWithSite interface，passing the IWebBrowser2 pointer of the current page to its IObjectWithSite::SetSite function，then call its IOleCommandTarget::Exec function. It's similar to IE's implementation of button. Please refer to MSDN for more information.

Sample Plugin.ini:

[General]
Name=ComButton
Author=bloodchen
Version=1.0
ModuleType=COM
FileName=ComButton.dll
CLSID={96E78121-9FF2-466D-B6CD-4038CAC1BB79}
Comments=Com type 'Button'
Type=BUTTON
HotIcon=hot.ico
Icon=cold.ico

2.Script:

When the user clicks the button, MyIE2 will run the script on current web page.

Sample Plugin.ini:
[General]
Name=LastModified
Author=bloodchen
Version=1.0
ModuleType=SCRIPT
FileName=LastModified.htm
Comments=See last modified date of current page
Type=BUTTON
HotIcon=hot.ico
Icon=cold.ico

3.Exe File:

When the user clicks the button, MyIE2 will call the file with the parameters of current address and handle of the main MyIE2 window. For example, the file is abc.exe，then MyIE2 will call abc.exe -h=23424 -u=http://www.yahoo.com, in which 23424 is the handle of the main MyIE2 window and http://www.yahoo.com is the URL of the current page.

Sample Plugin.ini:

[General]
Name=ExeButton
Author=BloodChen
Version=1.0
ModuleType=EXE
FileName=abc.exe
Comments=Exe type Button
Type=BUTTON
Icon=p.ico

Extended DHTML support

MYIE2 has extended the DHTML support by adding several new commands which could be called from script langauge. The HTML or scirpt writer could call the function through the 'window.external' object. The function could be called from the script in a HTML page or a scirpt plugin.

  1. addFavorite( url , title ) , addFavorite( url )

    This function will ask user to add the 'url' into favortes, using 'title' for the name of the url.

    Example1: external.addFavorite( "http://www.google.com" );
    Example2: external.addFavorite( "http://www.google.com","This is google");
  2. addProxy (name, address, speed, is_web_proxy)

    This function will call MYIE2's add proxy dialog to add the proxy named as 'name' at address 'address', giving the initial speed 'speed'. The is_web_proxy indicates whether the proxy is a web proxy or a normal proxy.

    Example: external.addProxy("My proxy","192.168.1.0:8080",1,0);
  3. addFilter( address ) , addFilter( address, is_pop_filter )

    This function will call MYIE2's add filter dialog, setting the address to be filtered as 'address'. 'is_pop_filter' indicates whether the defalut filter type is 'pop filter'.

    Example1: external.addFilter("http://www.yahoo.com/ad*");
    Example1: external.addFilter("http://www.yahoo.com/img/*", 0);
  4. readFile( plugin_name, file_name)

    This function can only be used in a script plugin, for the security reasons. The 'plugin_name' refers to the plugin name defined in plugin.ini and the 'file_name' indicates which file it wants to read. The function will reture the file contents. If the plugin is not enabled or the 'plugin_name' is wrong or not found, the function will fail and return null.

    Example: alert(external.readFile("Test plugin","plugin.ini")) ;
  5. writeFile( plugin_name, file_name, content )

    This function can only be used in a script plugin, for the security reasons. The 'plugin_name' refers to the plugin name defined in plugin.ini and the 'file_name' indicates the file name which will be write. The 'content' is the content that will be write to the file. If the plugin is not enabled or the 'plugin_name' is wrong or not found, the function will fail and return null.
    Please note: The file will be overwritten from the beginning.

    Example: external.writeFile("Test plugin","setting.ini","username=abc\npass=qwrxcv");
© Copyright MYSoft Technology, 2002. All Rights Reserved.